Skip to main content
GET
Get Employee Directory

Authorizations

Authorization
string
header
required

Query Parameters

page
integer
required

Page number to fetch.

Required range: x >= 1
size
integer
default:25

Number of records per page.

Required range: x >= 1
connection_id
string

Connection identifier. Either connection_id or org is required.

org
string<uuid>

Client organization identifier. Either connection_id or org is required.

vendor_org
string

Vendor organization identifier.

from_date
string<date>
filters
string

JSON-encoded filter object.

filter
string
sort
string
source
enum<string>
default:db

Whether to fetch data from the synced database or live from the HRMS.

Available options:
db,
hrms
data_source
enum<string>
default:raw
Available options:
raw,
transformed
data_type
enum<string>
default:all
Available options:
all,
consented,
non_consented
partial_shared_status
enum<string>
Available options:
shared,
not shared,
all

Response

Employee directory fetched successfully

corporateReferenceId
string
message
string
Example:

"success"

data
object[]
pageInfo
object
filtered_by_current_version
boolean